/***********************************************************************
 * YoLink CO Smoke Detector device support
 *
 * This will issue warning messages to the HomeBridge log that can then
 * be provided to author to assist in adding device support.
 *
 * Copyright (c) 2023 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
/***********************************************************************
 * initUnknownDevice
 *
 */
export declare function initCoSmokeDetector(this: YoLinkPlatformAccessory): Promise<void>;
/***********************************************************************
 * mqttCoSmokeDetector
 * Handle message received from MQTT server.
 *
 * This is an example of JSON object returned.
 */
export declare function mqttCoSmokeDetector(this: YoLinkPlatformAccessory, message: any): Promise<void>;
//# sourceMappingURL=coSmokeDetector.d.ts.map